class CreateMashTournaments < ActiveRecord::Migration
  def self.up
    create_table :mash_tournaments do |t|
      t.references :requester, :null => false

      t.timestamps
    end

    add_index :mash_tournaments, [:requester_id]
  end

  def self.down
    drop_table :mash_tournaments
    remove_index :mash_tournaments, [:requester_id]
  end
end
